4e2098e
diff --git a/config.h.in b/config.h.in
4e2098e
index ff72235..bce1a24 100644
4e2098e
--- a/config.h.in
4e2098e
+++ b/config.h.in
4e2098e
@@ -513,7 +513,7 @@ int sigwait(const unsigned int *set, int *sig);
4fa9972
 #undef PREFER_GOSTASN1
a013398
 
a013398
 /* The size of `void *', as computed by sizeof. */
a013398
-#undef SIZEOF_VOID_P
a013398
+/* #undef SIZEOF_VOID_P */
a013398
 
a013398
 /* Define to 1 if you have the ANSI C header files. */
a013398
 #undef STDC_HEADERS
4e2098e
diff --git a/configure.in b/configure.in
4e2098e
index 10c98c3..d54b036 100644
4e2098e
--- a/configure.in
4e2098e
+++ b/configure.in
4e2098e
@@ -3048,8 +3048,11 @@ int getnameinfo(const struct sockaddr *, size_t, char *,
b746061
 		size_t, char *, size_t, int);],
a013398
 [ return (0);],
a013398
 	[AC_MSG_RESULT(size_t for buflen; int for flags)
4e2098e
-	 AC_DEFINE(IRS_GETNAMEINFO_SOCKLEN_T, size_t)
a013398
-	 AC_DEFINE(IRS_GETNAMEINFO_BUFLEN_T, size_t)
b746061
+	# Changed to solve multilib conflict on Fedora
4e2098e
+	# AC_DEFINE(IRS_GETNAMEINFO_SOCKLEN_T, size_t)
b746061
+	# AC_DEFINE(IRS_GETNAMEINFO_BUFLEN_T, size_t)
4e2098e
+	 AC_DEFINE(IRS_GETNAMEINFO_SOCKLEN_T, socklen_t)
a013398
+	 AC_DEFINE(IRS_GETNAMEINFO_BUFLEN_T, socklen_t)
a013398
 	 AC_DEFINE(IRS_GETNAMEINFO_FLAGS_T, int)],
a013398
 [AC_MSG_RESULT(not match any subspecies; assume standard definition)
4e2098e
 AC_DEFINE(IRS_GETNAMEINFO_SOCKLEN_T, socklen_t)
4e2098e
diff --git a/isc-config.sh.in b/isc-config.sh.in
4e2098e
index 10df275..5215eb0 100644
4e2098e
--- a/isc-config.sh.in
4e2098e
+++ b/isc-config.sh.in
4fa9972
@@ -21,7 +21,18 @@ prefix=@prefix@
a013398
 exec_prefix=@exec_prefix@
a013398
 exec_prefix_set=
a013398
 includedir=@includedir@
60039a5
-libdir=@libdir@
a013398
+arch=$(uname -m)
a013398
+
a013398
+case $arch in
a013398
+	x86_64 | amd64 | sparc64 | s390x | ppc64)
a013398
+		libdir=/usr/lib64
a013398
+		sec_libdir=/usr/lib
a013398
+		;;
a013398
+	* )
a013398
+		libdir=/usr/lib
a013398
+		sec_libdir=/usr/lib64
a013398
+		;;
a013398
+esac
a013398
 
a013398
 usage()
a013398
 {
4fa9972
@@ -133,6 +144,16 @@ if test x"$echo_libs" = x"true"; then
60039a5
 	if test x"${exec_prefix_set}" = x"true"; then
60039a5
 		includes="-L${exec_prefix}/lib"
60039a5
 	else
60039a5
+		if [ ! -x $libdir/libisc.so ] ; then
60039a5
+			if [ ! -x $sec_libdir/libisc.so ] ; then
60039a5
+				echo "Error: ISC libs not found in $libdir"
60039a5
+				if [ -d $sec_libdir ] ; then
60039a5
+					echo "Error: ISC libs not found in $sec_libdir"
60039a5
+				fi
60039a5
+				exit 1
a013398
+			fi
60039a5
+			libdir=$sec_libdir
a013398
+		fi
60039a5
 		libs="-L${libdir}"
60039a5
 	fi
a013398
 	if test x"$liblwres" = x"true" ; then